CVE-2019-16865

NameCVE-2019-16865
DescriptionAn issue was discovered in Pillow before 6.2.0. When reading specially crafted invalid image files, the library can either allocate very large amounts of memory or take an extremely long period of time to process the image.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
pillow (PTS)jessie2.6.1-2+deb8u3vulnerable
jessie (security)2.6.1-2+deb8u4vulnerable
stretch4.0.0-4vulnerable
stretch (security)4.0.0-4+deb9u1vulnerable
buster5.4.1-2vulnerable
buster (security)5.4.1-2+deb10u1fixed
bullseye6.2.1-2fixed
sid7.0.0-4fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
pillowsource(unstable)6.2.0-1low
pillowsourcebuster5.4.1-2+deb10u1
python-imagingsource(unstable)(unfixed)

Notes

[stretch] - pillow <ignored> (Minor issue, too intrusive to backport)
[jessie] - pillow <no-dsa> (Risk of regressions is too high)
https://github.com/python-pillow/Pillow/commit/b36c1bc943d554ba223086c7efb502d080f73905
https://github.com/python-pillow/Pillow/commit/f228d0ccbf6bf9392d7fcd51356ef2cfda80c75a
https://github.com/python-pillow/Pillow/commit/b9693a51c99c260bd66d1affeeab4a226cf7e5a5
https://github.com/python-pillow/Pillow/commit/cc16025e234b7a7a4dd3a86d2fdc0980698db9cc

Search for package or bug name: Reporting problems